settings = require "settings"
scene = require "scene"

function love.load()
    love.graphics.setMode(800, 600)
	--love.graphics.setMode(0, 0, false, false)
    settings.window.width = love.graphics.getWidth()
    settings.window.height  = love.graphics.getHeight()
	--love.graphics.setMode(settings.window.width, settings.window.height, true, true)
    love.graphics.setFont(settings.view.font)
    love.mouse.setVisible(false)
	scene.load()
end

function love.update(dt)
	scene.update(dt)
end

function love.draw()
	scene.draw()

    local x, y = love.mouse.getPosition()
    love.graphics.draw(settings.window.cursor, x, y)
end

function love.mousepressed(x, y, button)
    scene.mousepressed(x, y, button)
end